
PHP_ARG_WITH(ext_shapelib,whether to include shapelib support,
[  --with-ext_shapelib[=DIR] Include shapelib support.
                          DIR is the shapelib install directory,
                          defaults to /usr.])

if test "$PHP_EXT_SHAPELIB" != "no"; then
  PHP_EXTENSION(ext_shapelib, $ext_shared)

  for i in /usr /usr/local $PHP_EXT_SHAPELIB; do
    if test -f $i/include/shapefil.h ; then
      SHAPELIB_DIR=$i
      SHAPELIB_INC=$i/include:./
    fi
  done
  SHAPELIB_LIB=$SHAPELIB_DIR/lib/

  AC_DEFINE(HAVE_EXT_SHAPELIB,1,[ ])
  
  PHP_ADD_LIBRARY_WITH_PATH(shp,$SHAPELIB_LIB,PHP_SHAPELIB_SHARED_LIBADD)
  PHP_SUBST(PHP_SHAPELIB_SHARED_LIBADD)

  PHP_ADD_INCLUDE($SHAPELIB_INC)

fi
